﻿(function (app) {
    app.controller('loginCtrl', ["$scope", 'userService', "data", '$state', 'msg', function ($scope, userService, data, $state, msg) {
        $scope.vm = {
            mobile: '',
            password:''
        };
        $scope.login = function () {
            data.setObject('user', { mobile: $scope.vm.mobile });
            data.set('token', '111111');
            $state.go('uf7.home');
            //userService.login($scope.vm.mobile, $scope.vm.password).then(function (result) {

            //}, function (error) {
            //    msg.error(error);
            //});
        }
    }]);
    app.controller('registerCtrl', ["$scope", 'msg', 'util', 'userService', '$timeout', '$state', function ($scope, msg, util, userService, $timeout, $state) {
        $scope.vm = {
            mobile: '',
            password: '',
            password1:'',
            verifyCode:'',
            waitSeconds: "获取验证码"
        };
        $scope.save = function () {
            if (!util.isMobile($scope.vm.mobile)) {
                msg.text('请输入正确的手机号', true);
                return;
            }
            if (!$scope.vm.verifyCode) {
                msg.text('请输入短信验证码');
                return;
            }
            if ($scope.vm.password !== $scope.vm.password1) {
                msg.text('密码前后输入不一致');
                return;
            }
            msg.loading('请稍等...');
            userService.register({ mobile: $scope.vm.mobile, password: $scope.vm.password, verifyCode: $scope.vm.verifyCode }).then(function (result) {
                msg.hide();
                $state.go('uf7.home');
            }, function (erro) {
                msg.hide();
                msg.error(erro);
            });
        }
        $scope.getVerifyCode = function () {
            if (!util.isMobile($scope.vm.mobile)) {
                msg.text('请输入正确的手机号',true);
                return;
            }
            $scope.vm.waitSeconds = "正在发送";
            userService.getVerifyCode($scope.vm.mobile).then(function (result) {
                wait(30);
            }, function (erro) {
                wait(0);
                msg.error(erro);
            });
        }
        var wait = function (seconds) {
            if (seconds > 0) {
                $scope.vm.waitSeconds = "" + seconds + "秒";
                $scope.vm.enableSend = false;
            } else {
                $scope.vm.waitSeconds = "获取验证码";
                $scope.vm.enableSend = true;
            }
            $timeout(function () {
                if (seconds >= 1)
                    wait(seconds - 1);
            }, 1000);
        };
    }]);
    app.controller('forgetPasswordCtrl', ["$scope", function ($scope) {

    }]);
})(angular.module('app.controllers'));